1

最近项目打算使用这个框架来做,我尝试安装发现MAC下装不了,它要求安装 php-inotify 这个PHP扩展,这个扩展我一装提示系统不支持,找了下原来是MAC OSX下面是没有inotify这个东西的,官方文档也没说明MAC下能不能跑这个框架,在这里来发个问,看看大神怎么解决的.

2019-04-13 提问
3 个回答
0

已采纳

inotifyLinux内核提供的一组系统调用,它可以监控文件系统操作,比如文件或者目录的创建、读取、写入、权限修改和删除等。Mac本身不支持inotify,要跑的话在虚拟机跑吧。

推荐使用EasySwoole框架,SwooleDistributed虽然是老牌的Swoole框架,但是作者目前没有怎么维护了,对于Swoole的兼容也不是很及时。

0

1楼说的对,SD比较老牌,但没有维护,不建议使用。
如果需要快速出产品,快速上手,Laravel(Lumen)+Swoole可能是你更好的选择,这里推荐LaravelS
如果想要自己研究、学习,这里推荐Swoft

0

极简 . 高性能 . 松耦合 . 分布式 . 可运行与任意环境(cli,apache/php-fpm,swoole)
one框架 https://github.com/lizhichao/one

撰写答案

推广链接